/*
   client/joystick.h
   This file is part of the Osirion project and is distributed under
   the terms and conditions of the GNU General Public License version 2
*/

#ifndef __INCLUDED_CLIENT_JOYSTICK_H__
#define __INCLUDED_CLIENT_JOYSTICK_H__

#include "core/cvar.h"

namespace client
{

class Joystick
{
public:
	static void init();

	static void shutdown();

	static void list();

	static void frame();

	static bool is_enabled();

	// configured joystick number
	static core::Cvar *input_joystick;

	// joystick axes
	static core::Cvar *input_axisdirection;
	static core::Cvar *input_axispitch;
	static core::Cvar *input_axisroll;
	static core::Cvar *input_axisthrottle;

};

}

#endif // __INCLUDED_CLIENT_JOYSTICK_H__
