/*
   core/slots.cc
   This file is part of the Osirion project and is distributed under
   the terms of the GNU General Public License version 2.
*/

#include "sys/sys.h"
#include "core/slots.h"

namespace core
{

Slots::Slots()
{
}

Slots::~Slots()
{
	clear();
}

void Slots::load(model::Model *model)
{
	for (model::Model::Weapons::iterator it = model->weapons().begin(); it != model->weapons().end(); ++it) {
		Slot *slot = new Slot();
		slot->load((*it));
		slots_container.push_back(slot);
	}
	//con_debug << "  loaded " << slots_container.size() << " entity slots" << std::endl;
}

void Slots::clear()
{
	for (iterator it = slots_container.begin(); it != slots_container.end(); ++it)
	{
		Slot *slot = (*it);
		delete slot;
		(*it) = 0;
	}
	slots_container.clear();
}

Slot *Slots::find(Item *item)
{
	for (iterator it = slots_container.begin(); it != slots_container.end(); ++it)
	{
		if ((*it)->item() == item) {
			return (*it);
		}
	}
	
	return 0;

}

} // namespace core

 
 
